/**
 * @file main.cpp
 * @brief CPSC 587/687 CurveApp
 * @details A simple curve editor application
 * @author Andrew Owens
 * @date 2018/01/23
 *
 * @copyright
 */

#include "curveapp.h"

#include <glad/glad.h>
// put glad before glfw
#include <GLFW/glfw3.h>

int main(int argc, char const *argv[]) {

  using namespace animation;
  CurveApp app(argc, argv);

  if (!app.initialize())
    return EXIT_FAILURE;

  if (!app.run())
    return EXIT_FAILURE;

  return EXIT_SUCCESS;
}
