#include "ray.h"

namespace math {
namespace geometry {

Ray::Ray(Vec3f origin) : m_origin(origin) {}

Ray::Ray(Vec3f origin, Vec3f direction)
    : m_origin(origin), m_direction(direction) {}

Ray::Intersection::Intersection(float t, Vec3f position)
    : t(t), position(position) {}

} // namespace geometry
} // namespace math
