SIMPLE CURVE EDITOR

Author: Andrew Robert Owens
Date: January 29, 2018
Copyright (2018)

Description

This is a 'relatively' simple 3D curve (control polyline) editor, concieved to
aid students of CPSC587/687 design and model their Assignment 1 roller coaster
track.

Note: this is version 0.0 of this program. It is intended to assist students

**INSTALL**

Option 1:

1) Load up in QT Creator


Option 2 (untested, but typical for cmake):

1) From the project director in terminal

mkdir build
cd build

#Unix makefile
cmake ..

#Mac OSX
cmake -G "Xcode" ..

#Microsoft Windows
cmake -G "Visual Studio 15" ..
cmake -G "Visual Studio 15 Win64" ..


**USAGE**

./CurveApp <Load curve file path> <Save curve file path>

If only one file path is provided, loading and saving of the curve will be from
and to this file, respectively.
If two file paths are provided, loading and saving will be applied to the
accompanying files.
If no files are provided, a default curve and save file will be created upon
startup. Loads will also be from this file.


**USER INTREFACE**

camera
w	move forward
a	move left
s	move backward
d	move right
q	move down
e	move up

left-arrow		look left
right-arrow		look right
up-arrow		look up
right-arrow		look right
shift+right-arrow 	roll right
shift+left-arrow 	roll left

1	look along x-axis
shift+1	look along -x-axis
2	look along y-axis
shift+2	look along -y-axis
3	look along z-axis
shift+3	look along -z-axis
4	center camera focus on axis frame

ctrl+left-click+drag	rotate camera around focus point
shift+left-click+drag	move camera towards/away from focus point

editing

left-click		select point (deselect previous)
shift+left-click	multi-select points
left-click+drag		move selected point(s)
ctrl+d			deselect all

ctrl+c			subdivide selected segments
ctrl+m			delete selected points


saving
ctrl+s	save current curve (input/default)
ctrl+o	load curve file (input/default)
