#pragma once

#include <optional>
#include <string>

#include "curve.h"

namespace math {
namespace geometry {

void saveCurveToFile(math::geometry::Curve const &curve,
                     std::string const &filePath);

std::optional<math::geometry::Curve>
loadCurveFromFile(std::string const &filePath);

} // namespace geometry
} // namespace math
